org.apache.ignite.internal.processors.cache.database.evict

## Class PageAbstractEvictionTracker

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.database.evict.PageAbstractEvictionTracker

All Implemented Interfaces:
  PageEvictionTracker, LifecycleAware

Direct Known Subclasses:
  FairFifoPageEvictionTracker, Random2LruPageEvictionTracker, RandomLruPageEvictionTracker

    public abstract class PageAbstractEvictionTracker
    extends Object
    implements PageEvictionTracker

### Field Summary

Fields
`protected PageMemoryNoStoreImpl` `pageMem` Page memory.
`protected int` `trackingSize` Tracking array size.

### Method Summary

Methods
`protected abstract boolean` `checkTouch(long pageId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.database.evict.PageEvictionTracker

`evictDataPage, forgetPage, touchPage`

### Methods inherited from interface org.apache.ignite.lifecycle.LifecycleAware

`start, stop`

### Field Detail

#### pageMem

    protected final PageMemoryNoStoreImpl pageMem

Page memory.

#### trackingSize

    protected final int trackingSize

Tracking array size.

### Method Detail

#### checkTouch

    protected abstract boolean checkTouch(long pageId)

Parameters:
  `pageId` - Page ID.
Returns:
  true if page was touched at least once.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017